Subject: Re: [TLS] [Editorial Errata Reported] RFC4492 (2392)

From: Sean Turner <[email-masked]>
Date: Wed, 23 Feb 2011 12:36:54 -0500

I believe the following is correct and I'm about to hit the verify 
button unless somebody responds.

spt

On 7/23/10 3:55 PM, RFC Errata System wrote:
> The following errata report has been submitted for RFC4492,
> "Elliptic Curve Cryptography (ECC) Cipher Suites for Transport Layer Security (TLS)".
>
> --------------------------------------
> You may review the report below and at:
> http://www.rfc-editor.org/errata_search.php?rfc=4492&eid=2392
>
> --------------------------------------
> Type: Editorial
> Reported by: Brian Smith<[email-masked]>
>
> Section: 5.2
>
> Original Text
> -------------
> The server's Supported Point Formats Extension has the same structure
> as the client's Supported Point Formats Extension (see
> Section 5.1.2).  Items in elliptic_curve_list here are ordered
> according to the server's preference (favorite choice first).  Note
> that the server may include items that were not found in the client's
> list (e.g., the server may prefer to receive points in compressed
> format even when a client cannot parse this format: the same client
> may nevertheless be capable of outputting points in compressed
> format).
>
> Corrected Text
> --------------
> The server's Supported Point Formats Extension has the same structure
> as the client's Supported Point Formats Extension (see
> Section 5.1.2).  Items in ec_point_format_list here are ordered
> according to the server's preference (favorite choice first).  Note
> that the server may include items that were not found in the client's
> list (e.g., the server may prefer to receive points in compressed
> format even when a client cannot parse this format: the same client
> may nevertheless be capable of outputting points in compressed
> format).
>
> Notes
> -----
> ec_point_format_list is the field in the Supported Point Formats Extension. elliptic_curve_list is the field in the Supported Elliptic Curves Extension.
>
> Instructions:
> -------------
> This errata is currently posted as "Reported". If necessary, please
> use "Reply All" to discuss whether it should be verified or
> rejected. When a decision is reached, the verifying party (IESG)
> can log in to change the status and edit the report, if necessary.
>
> --------------------------------------
> RFC4492 (draft-ietf-tls-ecc-12)
> --------------------------------------
> Title               : Elliptic Curve Cryptography (ECC) Cipher Suites for Transport Layer Security (TLS)
> Publication Date    : May 2006
> Author(s)           : S. Blake-Wilson, N. Bolyard, V. Gupta, C. Hawk, B. Moeller
> Category            : INFORMATIONAL
> Source              : Transport Layer Security
> Area                : Security
> Stream              : IETF
> Verifying Party     : IESG
>

---

From: Bodo Moeller <[email-masked]>
Date: Thu, 24 Feb 2011 12:52:20 +0100

On Wed, Feb 23, 2011 at 6:36 PM, Sean Turner <[email-masked]> wrote:

> I believe the following is correct and I'm about to hit the verify button
> unless somebody responds.
>

Yes, this is correct (replace "elliptic_curve_list" by
"ec_point_format_list" in the description of the server's Supported Point
Formats Extension).

Bodo